# Form implementation generated from reading ui file 'src/eric7/Project/UicCompilerOptionsDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_UicCompilerOptionsDialog(object):
    def setupUi(self, UicCompilerOptionsDialog):
        UicCompilerOptionsDialog.setObjectName("UicCompilerOptionsDialog")
        UicCompilerOptionsDialog.resize(500, 323)
        UicCompilerOptionsDialog.setSizeGripEnabled(True)
        self.verticalLayout_4 = QtWidgets.QVBoxLayout(UicCompilerOptionsDialog)
        self.verticalLayout_4.setObjectName("verticalLayout_4")
        self.groupBox = QtWidgets.QGroupBox(parent=UicCompilerOptionsDialog)
        self.groupBox.setObjectName("groupBox")
        self.verticalLayout_3 = QtWidgets.QVBoxLayout(self.groupBox)
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.packageRootEdit = QtWidgets.QLineEdit(parent=self.groupBox)
        self.packageRootEdit.setClearButtonEnabled(True)
        self.packageRootEdit.setObjectName("packageRootEdit")
        self.verticalLayout_3.addWidget(self.packageRootEdit)
        self.verticalLayout_4.addWidget(self.groupBox)
        self.packageGroup = QtWidgets.QGroupBox(parent=UicCompilerOptionsDialog)
        self.packageGroup.setObjectName("packageGroup")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.packageGroup)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.packageEdit = QtWidgets.QLineEdit(parent=self.packageGroup)
        self.packageEdit.setClearButtonEnabled(True)
        self.packageEdit.setObjectName("packageEdit")
        self.verticalLayout_2.addWidget(self.packageEdit)
        self.label_2 = QtWidgets.QLabel(parent=self.packageGroup)
        self.label_2.setWordWrap(True)
        self.label_2.setObjectName("label_2")
        self.verticalLayout_2.addWidget(self.label_2)
        self.verticalLayout_4.addWidget(self.packageGroup)
        self.suffixGroup = QtWidgets.QGroupBox(parent=UicCompilerOptionsDialog)
        self.suffixGroup.setObjectName("suffixGroup")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.suffixGroup)
        self.verticalLayout.setObjectName("verticalLayout")
        self.suffixEdit = QtWidgets.QLineEdit(parent=self.suffixGroup)
        self.suffixEdit.setClearButtonEnabled(True)
        self.suffixEdit.setObjectName("suffixEdit")
        self.verticalLayout.addWidget(self.suffixEdit)
        self.label_4 = QtWidgets.QLabel(parent=self.suffixGroup)
        self.label_4.setWordWrap(True)
        self.label_4.setObjectName("label_4")
        self.verticalLayout.addWidget(self.label_4)
        self.verticalLayout_4.addWidget(self.suffixGroup)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=UicCompilerOptionsDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout_4.addWidget(self.buttonBox)

        self.retranslateUi(UicCompilerOptionsDialog)
        self.buttonBox.accepted.connect(UicCompilerOptionsDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(UicCompilerOptionsDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(UicCompilerOptionsDialog)
        UicCompilerOptionsDialog.setTabOrder(self.packageRootEdit, self.packageEdit)
        UicCompilerOptionsDialog.setTabOrder(self.packageEdit, self.suffixEdit)

    def retranslateUi(self, UicCompilerOptionsDialog):
        _translate = QtCore.QCoreApplication.translate
        UicCompilerOptionsDialog.setWindowTitle(_translate("UicCompilerOptionsDialog", "uic Compiler Options"))
        self.groupBox.setTitle(_translate("UicCompilerOptionsDialog", "Package Root"))
        self.packageRootEdit.setToolTip(_translate("UicCompilerOptionsDialog", "Enter the project relative path of the packages root directory"))
        self.packageGroup.setTitle(_translate("UicCompilerOptionsDialog", "\'import\' Package"))
        self.packageEdit.setToolTip(_translate("UicCompilerOptionsDialog", "Enter the package name"))
        self.label_2.setText(_translate("UicCompilerOptionsDialog", "<b>Note</b>: This generates statements like \'from PACKAGE import ...\'."))
        self.suffixGroup.setTitle(_translate("UicCompilerOptionsDialog", "Resources Suffix"))
        self.suffixEdit.setToolTip(_translate("UicCompilerOptionsDialog", "Enter the suffix of compiled resource files (default: _rc)"))
        self.label_4.setText(_translate("UicCompilerOptionsDialog", "<b>Note</b>: Leave the suffix empty to use the default of \'_rc\'."))
